/**
 * 项目：手机摄像头自动测试化平台
 * @Author: xiongwei
 * @Date: 2022-05-31 09:42:00
 */

import { defHttp } from '/@/utils/http/axios';
import { ApiResponse } from '../model/baseModel';
import {
  Laboratory,
  LaboratoryParams,
  LaboratoryPageResult,
  LaboratoryPageResponse,
  LaboratoryResponse,
} from '../model/laboratory';

const baseApi = '/v1/device/laboratory';

/**
 * 新增
 */
export const add = (entity: Laboratory) =>
  defHttp.post<Laboratory>({ url: `${baseApi}/`, data: entity });

/**
 * 更新
 */
export const update = (entity: Laboratory) =>
  defHttp.put<Laboratory>({ url: `${baseApi}/`, data: entity });

/**
 * 删除
 */
export const remove = (id: any) =>
  defHttp.delete<Number>({ url: `${baseApi}/${id}` });

/**
 * 分页查询
 */
export const search = (params?: LaboratoryParams) =>
  defHttp.get<LaboratoryPageResult>({ url: `${baseApi}/search`, params });

/**
 * 列表查询
 */
export const all = (params?: LaboratoryParams) =>
  defHttp.get<LaboratoryPageResult>({ url: `${baseApi}/all`, params });

/**
 * 通过主键查询
 */
export const getById = (id: any) =>
  defHttp.get<Laboratory>({ url: `${baseApi}/${id}` });

/**
 * 单个查询
 */
export const getOne = (params?: LaboratoryParams) =>
  defHttp.get<Laboratory>({ url: `${baseApi}/one`, params });

/**
 * 批量删除
 */
export const batchRemove = (idList: Array<any>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-delete`, data: idList });

/**
 * 批量新增
 */
export const batchAdd = (entityList: Array<Laboratory>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-save`, data: entityList });

/**
 * 批量更新
 */
export const batchUpdate = (entityList: Array<Laboratory>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-update`, data: entityList });

/**
 * 查询数量
 */
export const count = (params?: LaboratoryParams) =>
  defHttp.get<Number>({ url: `${baseApi}/count`, params });


